# Class ServerAuthenticationProvider.MatchValues

java.lang.Object
org.apache.zookeeper.server.auth.ServerAuthenticationProvider.MatchValues

Enclosing class:
  `ServerAuthenticationProvider`

public static class ServerAuthenticationProvider.MatchValues extends Object

## Constructor Summary

Constructors
Constructor
Description
`MatchValues(String path, String id, String aclExpr, int perm, List<ACL> setAcls)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAclExpr()`
`String`
`getId()`
`String`
`getPath()`
`int`
`getPerm()`
`List<ACL>`
`getSetAcls()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatchValues

public MatchValues(String path, String id, String aclExpr, int perm, List<ACL> setAcls)

Parameters:
  `path` - the path of the operation being authenticated
  `id` - the id to check.
  `aclExpr` - the expression to match ids against.
  `perm` - the permission value being authenticated
  `setAcls` - for set ACL operations, the list of ACLs being set. Otherwise null.

## Method Details

### getPath

public String getPath()

### getId

public String getId()

### getAclExpr

public String getAclExpr()

### getPerm

public int getPerm()

### getSetAcls

public List<ACL> getSetAcls()